org.apache.uima.fit.factory

## Class FlowControllerFactory

- java.lang.Object
- - org.apache.uima.fit.factory.FlowControllerFactory

-     public final class FlowControllerFactory
      extends Object

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static org.apache.uima.flow.FlowControllerDescription` | `createFlowControllerDescription(Class<? extends org.apache.uima.flow.FlowController> flowControllerClass, org.apache.uima.resource.metadata.ConfigurationParameter[] configurationParameters, Object[] configurationValues)`
    `static org.apache.uima.flow.FlowControllerDescription` | `createFlowControllerDescription(Class<? extends org.apache.uima.flow.FlowController> flowControllerClass, org.apache.uima.resource.metadata.ConfigurationParameter[] configurationParameters, Object[] configurationValues, Map<String,org.apache.uima.resource.ExternalResourceDescription> externalResources)` Creates a new FlowControllerDescription for a given class and configuration parameters with values
    `static org.apache.uima.flow.FlowControllerDescription` | `createFlowControllerDescription(Class<? extends org.apache.uima.flow.FlowController> flowControllerClass, Object... configurationData)` Creates a new FlowControllerDescription for a given class and configuration data

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### createFlowControllerDescription

          public static org.apache.uima.flow.FlowControllerDescription createFlowControllerDescription(Class<? extends org.apache.uima.flow.FlowController> flowControllerClass,
                                                                                                       Object... configurationData)
                                                                                                throws org.apache.uima.resource.ResourceInitializationException

      Creates a new FlowControllerDescription for a given class and configuration data
      Parameters:
        `flowControllerClass` - the flow controller class
        `configurationData` - should be configuration parameter name / value pairs.
      Returns:
        a flow controller description
      Throws:
        `org.apache.uima.resource.ResourceInitializationException` - if the description could not be created

    - #### createFlowControllerDescription

          public static org.apache.uima.flow.FlowControllerDescription createFlowControllerDescription(Class<? extends org.apache.uima.flow.FlowController> flowControllerClass,
                                                                                                       org.apache.uima.resource.metadata.ConfigurationParameter[] configurationParameters,
                                                                                                       Object[] configurationValues)
                                                                                                throws org.apache.uima.resource.ResourceInitializationException

      Parameters:
        `flowControllerClass` - the flow controller class
        `configurationParameters` - the configuration parameters
        `configurationValues` - the configuration parameter values
      Returns:
        a flow controller description
      Throws:
        `org.apache.uima.resource.ResourceInitializationException` - if the description could not be created

    - #### createFlowControllerDescription

          public static org.apache.uima.flow.FlowControllerDescription createFlowControllerDescription(Class<? extends org.apache.uima.flow.FlowController> flowControllerClass,
                                                                                                       org.apache.uima.resource.metadata.ConfigurationParameter[] configurationParameters,
                                                                                                       Object[] configurationValues,
                                                                                                       Map<String,org.apache.uima.resource.ExternalResourceDescription> externalResources)
                                                                                                throws org.apache.uima.resource.ResourceInitializationException

      Creates a new FlowControllerDescription for a given class and configuration parameters with values
      Parameters:
        `flowControllerClass` - the flow controller class
        `configurationParameters` - the configuration parameters
        `configurationValues` - the configuration parameter values
        `externalResources` - the external resources
      Returns:
        a flow controller description
      Throws:
        `org.apache.uima.resource.ResourceInitializationException` - if the description could not be created

Copyright © 2012–2020 The Apache Software Foundation. All rights reserved.